package cn.com.poc.data_analyze.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for GetGeneralUsageDataQuery
 */
@Entity
public class PointsUsageQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** today_total_points
    *today_total_points
    */ 
    private java.lang.Double todayTotalPoints;
    
    @Column(name = "today_total_points")
    public java.lang.Double getTodayTotalPoints(){
        return this.todayTotalPoints;
    }
    
    public void setTodayTotalPoints(java.lang.Double todayTotalPoints){
        this.todayTotalPoints = todayTotalPoints;
    }
    
    /** yesterday_total_points
    *yesterday_total_points
    */ 
    private java.lang.Double yesterdayTotalPoints;
    
    @Column(name = "yesterday_total_points")
    public java.lang.Double getYesterdayTotalPoints(){
        return this.yesterdayTotalPoints;
    }
    
    public void setYesterdayTotalPoints(java.lang.Double yesterdayTotalPoints){
        this.yesterdayTotalPoints = yesterdayTotalPoints;
    }
    
    /** week_total_points
    *week_total_points
    */ 
    private java.lang.Double weekTotalPoints;
    
    @Column(name = "week_total_points")
    public java.lang.Double getWeekTotalPoints(){
        return this.weekTotalPoints;
    }
    
    public void setWeekTotalPoints(java.lang.Double weekTotalPoints){
        this.weekTotalPoints = weekTotalPoints;
    }
    
    /** last_week_total_points
    *last_week_total_points
    */ 
    private java.lang.Double lastWeekTotalPoints;
    
    @Column(name = "last_week_total_points")
    public java.lang.Double getLastWeekTotalPoints(){
        return this.lastWeekTotalPoints;
    }
    
    public void setLastWeekTotalPoints(java.lang.Double lastWeekTotalPoints){
        this.lastWeekTotalPoints = lastWeekTotalPoints;
    }
    
    /** month_total_points
    *month_total_points
    */ 
    private java.lang.Double monthTotalPoints;
    
    @Column(name = "month_total_points")
    public java.lang.Double getMonthTotalPoints(){
        return this.monthTotalPoints;
    }
    
    public void setMonthTotalPoints(java.lang.Double monthTotalPoints){
        this.monthTotalPoints = monthTotalPoints;
    }
    
    /** last_month_total_points
    *last_month_total_points
    */ 
    private java.lang.Double lastMonthTotalPoints;
   
    @Column(name = "last_month_total_points")
    public java.lang.Double getLastMonthTotalPoints(){
        return this.lastMonthTotalPoints;
    }
    
    public void setLastMonthTotalPoints(java.lang.Double lastMonthTotalPoints){
        this.lastMonthTotalPoints = lastMonthTotalPoints;
    }
    
} 